Get an event by ID
curl --request GET \
--url https://api.honeyhive.ai/v1/events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.honeyhive.ai/v1/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.honeyhive.ai/v1/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event": {
"event_id": "<string>",
"project": "<string>",
"project_id": "<string>",
"source": "<string>",
"event_name": "<string>",
"session_id": "<string>",
"parent_id": "<string>",
"children_ids": [
"<string>"
],
"config": {},
"inputs": {},
"outputs": {},
"error": "<string>",
"start_time": 123,
"end_time": 123,
"duration": 123,
"metadata": {},
"feedback": {},
"metrics": {},
"user_properties": {}
}
}Events
Get an event by ID
Retrieve a single event by its unique identifier. The event is fetched directly from S3/MinIO storage.
GET
/
v1
/
events
/
{event_id}
Get an event by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the event to retrieve
Response
Event retrieved successfully
Response for GET /events/:event_id — single event payload
Full event object for legacy event creation endpoints
Show child attributes
Show child attributes
Was this page helpful?
⌘I

